[Numpy-discussion] RPMs out of date, have problems

Konrad Hinsen hinsen at cnrs-orleans.fr
Sun Jan 6 13:34:03 CST 2002


> Can you check which version of Python/distutils. If it is a version python
> that does not come with distutils, we can count it out.

I don't remember, and I don't have any of that stuff left.

> Yes, and they will complain to JH if they are failing to install JH's
> binary RPMs. The best we can do is explain the motivation of NOT
> providing binary RPMs. If that is not sufficient for some, we can

Somebody else will provide them, and you will still get complaints. I
also get them. Fortunately there is a standard answer to send out.

> There are two ways to do this:
> 
> (1) Extension( ..., extra_compile_args = [ "-O17" ], ...)
> This will append the optimization level 17 to the compiler flag
> (the last -O option counts).

But that will add the argument for all platforms. I need to specify
compilation flags separately for each platform/compiler. I might even
want to compile some modules with the new Intel compiler for Linux.

> (2) export CFLAGS=-O3; python setup.py build
> This will append -O3

For all extension modules - I need to specify different flags for each
extension module, in one case even for a single source code file.

My current solution is to build everything with distutils and then
recompile the critical modules manually in the spec file.

Konrad.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: hinsen at cnrs-orleans.fr
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.56.24
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------




More information about the Numpy-discussion mailing list